Zonemaster Engine
=================
[![Build Status](https://travis-ci.org/dotse/zonemaster-engine.svg?branch=master)](https://travis-ci.org/dotse/zonemaster-engine)
[![CPAN version](https://badge.fury.io/pl/Zonemaster.svg)](https://metacpan.org/pod/Zonemaster)

### Purpose

This repository is one of the components of the Zonemaster software. For an
overview of the Zonemaster software, please see the
[Zonemaster repository](https://github.com/dotse/zonemaster).

This Git repository contains the *Zonemaster Engine testing framework*,
and contains all code needed to perform the full suite of Zonemaster
tests.

### Prerequisites

For supported processor architectures, operating systems (and versions) 
and Perl versions see 
[Zonemaster/README.md](https://github.com/dotse/zonemaster/blob/master/README.md).


### Installation

Installation instructions for the Engine is provided in the
[installation](docs/installation.md) document.

### Configuration 

This repository does not need any specific configuration.

### Documentation

There is full POD coverage of the Perl code. The documentation can be
read on the [CPAN site](https://metacpan.org/pod/Zonemaster).

For a curious user, there are documentations regarding translating the output to
a new language, implementing a new test and the log entries under the directory
[docs](docs/). 

### Participation

The core development team are people from IIS and Afnic. However, you
can submit code by forking this repository and create pull requests.

You can follow the project in these two mailinglists:

 * [zonemaster-users](http://lists.iis.se/cgi-bin/mailman/listinfo/zonemaster-users)
 * [zonemaster-devel](http://lists.iis.se/cgi-bin/mailman/listinfo/zonemaster-devel)

### Contact or Bug reporting 

For any contacts or bug reporting, please send a mail to
"contact@zonemaster.net".



License
=======

The software is released under the 2-clause BSD license. See separate LICENSE file.
